KDE 4.9 PyKDE API Reference

- KDE's Python API

# HTMLLegendElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

Provides a caption for a FIELDSET grouping. See the <a href="http://www.w3.org/TR/REC-html40/interact/forms.html#edef-LEGEND"> LEGEND element definition in HTML 4.0.

## Methods

| __init__ (self)
| __init__ (self, DOM.HTMLLegendElement other)
| __init__ (self, DOM.Node other)
DOM.DOMString | accessKey (self)
DOM.DOMString | align (self)
DOM.HTMLFormElement | form (self)
| setAccessKey (self, DOM.DOMString a0)
| setAlign (self, DOM.DOMString a0)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLLegendElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

DOM.DOMString accessKey | ( |  | self ) |

A single character access key to give access to the form control. See the <a href="http://www.w3.org/TR/REC-html40/interact/forms.html#adef-accesskey"> accesskey attribute definition in HTML 4.0.

DOM.DOMString align | ( |  | self ) |

Text alignment relative to FIELDSET . See the <a href="http://www.w3.org/TR/REC-html40/interact/forms.html#adef-align-LEGEND"> align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

DOM.HTMLFormElement form | ( |  | self ) |

### KDE 4.0: remove

setAccessKey | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see accessKey

setAlign | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see align